# InkscapeNonGeometricData (Slick - The 2D Library)
Date: 2013-06-03

## org.newdawn.slick.svg.inkscape
Class InkscapeNonGeometricData

    java.lang.Object
      org.newdawn.slick.svg.NonGeometricData
          org.newdawn.slick.svg.inkscape.InkscapeNonGeometricData

    public class InkscapeNonGeometricData

extends NonGeometricData

A custom non-geometric data type that can pass back any attribute on the field.

Author:
  kevin

Field Summary

Fields inherited from class org.newdawn.slick.svg.NonGeometricData
`FILL, ID, NONE, OPACITY, STROKE, STROKE_DASHARRAY, STROKE_DASHOFFSET, STROKE_MITERLIMIT, STROKE_OPACITY, STROKE_WIDTH`

Constructor Summary
`InkscapeNonGeometricData(java.lang.String metaData, org.w3c.dom.Element element)` Create a new non-geometric data holder

Method Summary
`java.lang.String` `getAttribute(java.lang.String attribute)` Get the attribtue value for a given attribute
`org.w3c.dom.Element` `getElement()` Returns the XML element that is wrapped by this instance.

Methods inherited from class org.newdawn.slick.svg.NonGeometricData
`addAttribute, getAsColor, getAsFloat, getAsReference, getMetaData, isColor, isFilled, isStroked`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InkscapeNonGeometricData

    public InkscapeNonGeometricData(java.lang.String metaData,
                                    org.w3c.dom.Element element)

  Create a new non-geometric data holder

  Parameters:
    `metaData` - The metadata provided
    `element` - The XML element from the SVG document

Method Detail

### getAttribute

    public java.lang.String getAttribute(java.lang.String attribute)

  Description copied from class: `NonGeometricData`
  Get the attribtue value for a given attribute

  Overrides:
    `getAttribute` in class `NonGeometricData`
  Parameters:
    `attribute` - The attribute whose value should be obtained
  Returns:
    The value for the given attribute
  See Also:
    `NonGeometricData.getAttribute(java.lang.String)`

### getElement

    public org.w3c.dom.Element getElement()

  Returns the XML element that is wrapped by this instance.

  Returns:
    The XML element for this instance

Copyright © 2006 New Dawn Software. All Rights Reserved.